RK-J - Feature #2484

Resume ingestion automatically
07/07/2022 05:22 AM - Ram Kordale

Status: Closed Start date: 07/07/2022
Priority: Normal Due date: 07/08/2022
Assignee: Ram Kordale % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 1-RK-J-1 Spent time: 0.00 hour
Description

Today, if the instance dies while ingestion is ongoing, the resume button is activated. Using the same logic that detects when to
activate the resume button, automatically resume the ingestion.

Subtasks:

Task # 2485: Resume ingestion automatically on application startup. Closed
Task # 2486: Fetch the books for automatic resume operation. Closed
History

#1 - 07/07/2022 05:43 AM - Ayush Khandelwal
- Due date set to 07/07/2022
- Assignee changed from Ayush Khandelwal to Venmuhilan B

- Estimated time set to 3.00 h

#2 - 07/07/2022 06:41 AM - Venmuhilan B

- Status changed from New to In Progress

#3 - 07/07/2022 07:17 AM - Ayush Khandelwal

Scheme:

OnApplicationStartup:

for(book : books):

if('book’ is in on-going state like resume button):

check last updated time of a 'book’ for the ingestion book i.e. X minutes
if(isResumeAllowed(X)):

resume the ingestion for a 'book’

isResumeAllowed(X):

waiting_allow_time = 10 minutes

if(X - waiting_allow_time < 0):

sleep the thread for (waiting_allow_time-X) minutes
return true;

#4 - 07/07/2022 07:19 AM - Ayush Khandelwal
Scheme:
OnApplicationStartup:
for(book : books):
if('book' is in on-going state like resume button):

check last updated time of a 'book’ for the ingestion book i.e. X minutes
if(isResumeAllowed(X)):

resume the ingestion for a 'book’

isResumeAllowed(X):
waiting_allow_time = 10 minutes
if(X - waiting_allow_time < 0):

sleep the thread for (waiting_allow_time-X) minutes

return true;

#5 - 07/07/2022 08:24 AM - Ayush Khandelwal
- Estimated time deleted (3.00 h)

#6 - 07/12/2022 01:17 PM - Venmuhilan B

- Status changed from In Progress to Resolved

#7 - 07/27/2022 12:27 PM - Venmuhilan B
- Status changed from Resolved to Feedback

- Assignee changed from Venmuhilan B to Ayush Khandelwal

#8 - 10/14/2022 01:47 PM - Ayush Khandelwal

- Assignee changed from Ayush Khandelwal to Ram Kordale

Working as expected

#9 - 03/29/2023 09:38 AM - Ram Kordale
- Status changed from Feedback to Closed
